Ask Your Question
1

where do I find a version of Wireshark that works with the Nordic BLE sniffer plugin

asked 2017-11-30 13:43:29 +0000

j_hofland gravatar image

updated 2017-12-01 09:27:30 +0000

grahamb gravatar image

This is the version specified to work with the nRF BLE sniffer tool. It is claimed that the tool does not work with the current version.

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
0

answered 2017-11-30 21:03:18 +0000

Stig gravatar image

Please use the latest 2.4.x version of Wireshark with the nRF Sniffer from Nordic. This version has improved BTLE and L2CAP support which you may need if you are doing IoT or other protocols requiring reassembly.

The only extra configuration you need is to go to Preferences -> Protocols -> DLT_USER -> DLT Table and add a new entry for DLT User 10 (DLT=157) with Payload protocol nordic_ble.

edit flag offensive delete link more

Comments

thank you for the additional information. I performed the preferences edit you gave and it works like a charm with version 2.4

j_hofland gravatar imagej_hofland ( 2017-11-30 23:17:33 +0000 )edit

The newly released nRF Sniffer 2.0.0-1.beta is updated with improved support for macOS, Linux and Windows, and is designed to work with Wireshark 2.4 and later. This version works without manual configuration.

Stig gravatar imageStig ( 2017-12-06 08:06:06 +0000 )edit
0

answered 2017-11-30 14:20:54 +0000

grahamb gravatar image

I think you're looking at historic info. According to this Nordic forum item, they say don't use 1.12.1 with their plugin, use 1.10.x.

However, the dissector was added to Wireshark in the 2.4.x releases, see this Bugzilla entry which was complaining that the 1.10.x plugin doesn't work with Wireshark 2.x (which is entirely expected, we don't maintain binary compatibility between versions), so I would use 2.4.2, and follow the instructions in the Bugzilla item.

If using the Nordic plugin, you should report issues to Nordic. If using Wireshark 2.4.x or later, report issues to the Wireshark Bugzilla.

edit flag offensive delete link more
0

answered 2017-11-30 13:53:46 +0000

THerrmann gravatar image

Are you looking for the windows version?

Search for 1.12.1 here:

https://www.wireshark.org/download/wi...

edit flag offensive delete link more

Comments

thank you. I found it and it has been installed.

j_hofland gravatar imagej_hofland ( 2017-11-30 14:13:30 +0000 )edit

You'd be better off with 2.4 as it has many improvements though.

Anders gravatar imageAnders ( 2017-11-30 21:44:03 +0000 )edit

You'd be better off with 2.4 as it has many improvements though.

...and we (the Wireshark developers) support it - 1.12 isn't supported, so if you report a bug, we'll close the bug if it's fixed in a later release, and we'll try to fix it if it's still present, but we won't backport the fix to 1.12.

Guy Harris gravatar imageGuy Harris ( 2017-12-01 00:56:05 +0000 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-11-30 13:43:29 +0000

Seen: 81 times

Last updated: Dec 01